﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication15
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {

            System.Windows.Data.CollectionViewSource categoryViewSource = ((System.Windows.Data.CollectionViewSource)(this.FindResource("categoryViewSource")));
            // Load data by setting the CollectionViewSource.Source property:
            // categoryViewSource.Source = [generic data source]
            this.SfDataGrid1.CurrentCellValueChanged += SfDataGrid1_CurrentCellValueChanged;
            this.SfDataGrid1.SourceUpdated += SfDataGrid1_SourceUpdated;
        }

        void SfDataGrid1_SourceUpdated(object sender, DataTransferEventArgs e)
        {
        }

        void SfDataGrid1_CurrentCellValueChanged(object sender, Syncfusion.UI.Xaml.Grid.CurrentCellValueChangedEventArgs args)
        {
            int colIndex = args.RowColumnIndex.ColumnIndex;
            int rowIndex = args.RowColumnIndex.RowIndex;
        }

        private void btnSave_Click(object sender, RoutedEventArgs e)
        {
            var context = ((viewmodel)SfDataGrid1.DataContext).context;
            context.SaveChanges();
        }



    }
}
