﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.Windows.Shared;

namespace WpfApplication15
{
    class viewmodel :NotificationObject
    {
        public Entities context = new Entities();

        private ObservableCollection<Category> _Categories = new ObservableCollection<Category>();
        public ObservableCollection<Category> Categories
        {
            get { return _Categories; }
            set
            {
                _Categories = value;
                RaisePropertyChanged("Categories");
            }
        }

        public viewmodel()
        {
            var data = context.Categories.OrderBy(s => s.CategoryName).Take(1);
            foreach (var pt in data)
            {
                this.Categories.Add(pt);
            }
        }
    }
}
